
Redmine - Defect #1409

Prevent adding of files if no version is defined

2008-06-09 14:00 - Andreas Deininger

Status: Closed Start date: 2008-06-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

How to reprdouce:

For a project, that does not have any versions defined, try to add a new file:

http://forge.stiegele.eu/projects/add_file/my_project

Choose a file and click the "Add"-button.

You are redirected to the file list, though no file was added. This is confusing.

Proposed solution: Add a validation checking whether a version was defined. In case there is no version defined, show an

appropriate error message while trying to add a file. Or simply block access to the submit form, showing a message: Prior to

submitting files, you have to define a version first (or so).

Related issues:

Related to Redmine - Defect #1053: Unable to upload file via file menu due to... Closed 2008-04-13

History

#1 - 2008-06-09 15:14 - Anonymous

Yep, we've been hit by this.

#2 - 2008-07-28 04:21 - Matt Haley

- File notice_on_attach_without_version_07262008_r704.diff added

Here is a patch that displays a notice at the top of the page if no versions have been created in the project. Created against r1704.

#3 - 2008-12-31 13:05 - Mischa The Evil

- Category set to Attachments

- Status changed from New to Closed

This is fixed/implemented in 0.8.1, thus issue closed...

Files

notice_on_attach_without_version_07262008_r704.diff 2.59 KB 2008-07-28 Matt Haley

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://forge.stiegele.eu/projects/add_file/my_project
https://www.redmine.org/projects/redmine/repository/svn/revisions/1704
http://www.tcpdf.org

